data:extend(
{
  ------------------------------------------------------------
  -- Basic Electric Furnace
  ------------------------------------------------------------
  {
    type = "furnace",
    name = "magnetizing-machine",
    icon = "__scottmagnets__/graphics/icons/magnetizing-machine.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "magnetizing-machine"},
	enabled = true,
    max_health = 150,
    corpse = "medium-remnants",
    repair_sound = { filename = "__base__/sound/manual-repair-simple.ogg" },
    mined_sound = { filename = "__base__/sound/deconstruct-bricks.ogg" },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-stone-impact.ogg", volume = 1.0 },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/electric-furnace.ogg",
        volume = 0.7
      },
      apparent_volume = 1.5
    },
    resistances =
    {
      {
        type = "fire",
        percent = 80
      },
      {
        type = "explosion",
        percent = 30
      }
    },
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    crafting_categories = {"magnetizing"},
    result_inventory_size = 1,
    energy_usage = "70kW",
    crafting_speed = 1,
    source_inventory_size = 1,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.005
    },
    animation = {
      filename = "__scottmagnets__/graphics/entity/magnetizing-machine/magnetizing-machine.png",
      priority="high",
      width = 33,
      height = 34,
      frame_count = 32,
      line_length = 8,
      shift = {0.1, -0.1}
    },
    fast_replaceable_group = "furnace"
  },

})


data:extend({

  {
    type = "item",
    name = "magnetizing-machine",
    icon = "__scottmagnets__/graphics/icons/magnetizing-machine.png",
    flags = {"goes-to-quickbar"},
    subgroup = "production-machine",
    order = "a[magnetizing-machine]",
    place_result = "magnetizing-machine",
    stack_size = 50
  }

})


data:extend(
{
	{
		type = "recipe",
		name = "magnetizing-machine",
		energy_required = 15,
		ingredients =
		{   
			{"basic-motor", 2},
			{"iron-plate", 5},
			{"iron-gear-wheel", 15},
		},
		result = "magnetizing-machine"
	}
}
)

